<template>
  <div>
    <div class="titSec">Proyecto de Documento</div>
    <v-card style="background-color: #fafafa"> </v-card>
    <v-card>
      <div class="gris">
        <v-row>
          <v-col :cols="12" :sm="12" :md="6" :lg="6" :xl="6">
            <ListaProyecto
              v-model="value"
              :callback="callbackListaProyecto"
              ref="listaProyecto"
            />
          </v-col>
          <v-col :cols="12" :sm="12" :md="6" :lg="6" :xl="6">
            <ListaDocumento
              v-model="value"
              :callback="callbackListaDocumento"
              ref="listaDocumento"
            />
          </v-col>
        </v-row>
      </div>
    </v-card>
  </div>
</template>

<script>
import ListaDocumento from "../componentes/ListaDocumento.vue";
import ListaProyecto from "../componentes/ListaProyecto.vue";

export default {
  name: "BusquedaSucursal",

  props: {
    value: Object,
    callbackListaProyecto: { type: Function },
    callbackListaDocumento: { type: Function },
  },
  components: {
    ListaDocumento,
    ListaProyecto,
  },

  mounted() {
    this.getLisaProyecto();
  },
  data() {
    return {};
  },
  methods: {
    getLisaProyecto() {
      this.$refs.listaProyecto.getLisaProyecto();
    },

    borrarListadoProyecto() {
      this.$refs.listaProyecto.borrarListadoProyecto();
    },

    getDocumentos() {
      this.$refs.listaDocumento.getDocumentos();
    },

    borrarListadoDocumentos() {
      this.$refs.listaDocumento.borrarListadoDocumentos();
    },
  },
};
</script>

<style lang="scss" scoped></style>